using APT.BaseData.Domain.Entities;
using APT.BaseData.Domain.Entities.FM;
using APT.BaseData.Domain.Enums;
using APT.Infrastructure.Core;
using APT.MS.Domain.Entities.HM;
using APT.MS.Domain.Entities.WB;
using APT.MS.Domain.Enums;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.WB
{
    /// <summary>
    /// 导航：隐患整改明细
    /// </summary>
    [Description("导航：隐患整改明细")]
    public class T_WB_HIDDEN_DANGER_NOTIFY_DETAIL : MesEntityBase
    {
        /// <summary>
        /// 外包工程隐患整改通知单
        /// </summary>
        [Description("外包工程隐患整改通知单")]
        [DataFieldForeignKey("Nav_Parent", "Nav_Details")]
        public Guid PARENT_ID { get; set; }
        /// <summary>
        /// 导航: 外包工程隐患整改通知单
        /// </summary>
        [Description("导航: 外包工程隐患整改通知单")]
        public T_WB_HIDDEN_DANGER_NOTIFY Nav_Parent { get; set; }
        /// <summary>
        /// 序号
        /// </summary>
        [Description("序号")]
        [FormFieldEdit]
        public int ROW_NUM { get; set; }
        /// <summary>
        /// 生产单元
        /// </summary>
        [Description("生产单元")]
        [FormFieldEdit]
        [EnumName("FMProductionUnit")]
        public FMProductionUnit MineType { get; set; }

        /// <summary>
        /// 检查区域
        /// </summary>
        [Description("检查区域")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Area")]
        public Guid AREA_ID { get; set; }

        /// <summary>
        ///  检查区域
        /// </summary>
        [Description("检查区域")]
        public T_WB_CHECK_AREA_ENUM Nav_Area { get; set; }

        /// <summary>
        /// 检查记录
        /// </summary>
        [Description("检查记录")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        [DataFieldForeignKey("Nav_Detail")]
        public Guid? DETAIL_ID { get; set; }

        /// <summary>
        ///  检查记录
        /// </summary>
        [Description("检查记录")]
        public T_WB_SAFE_CHECK_RECORD_DETAIL Nav_Detail { get; set; }

        /// <summary>
        /// 检查任务制定明细
        /// </summary>
        [Description("检查任务制定明细")]
        [FormFieldTable]
        [FormFieldQuery]
        [FormFieldEdit]
        public Guid? TASK_DETAIL_ID { get; set; }

        /// <summary>
        /// 检查内容
        /// </summary>
        [Description("检查内容")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string CHECK_CONTENT { get; set; }
        /// <summary>
        /// 检查依据
        /// </summary>
        [Description("检查依据")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string CHECK_BASIS { get; set; }
        /// <summary>
        /// 问题描述
        /// </summary>
        [Description("问题描述")]
        [FormFieldEdit]
        [DataFieldLength(500)]
        public string REMARK { get; set; }
        /// <summary>
        /// 隐患地点
        /// </summary>
        [Description("隐患地点")]
        [FormFieldEdit]
        [DataFieldLength(100)]
        public string ADRESS { get; set; }
        /// <summary>
        /// 整改期限
        /// </summary>
        [Description("整改期限")]
        [FormFieldEdit]
        public DateTime END_TIME { get; set; }
        /// <summary>
        /// 整改前照片
        /// </summary>
        [Description("整改前照片")]
        public ICollection<T_WB_HIDDEN_DANGER_NOTIFY_DETAIL_FILE> Nav_Files { get; set; }
    }
}
